@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600;700&family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&family=Nunito:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap");
/* Breakpoints
    * xlarge - 1280px = 80em
    * large  - 1024px = 64em
    * medium - 768px  = 48em
    * small  - 640px  = 40em
*/
body {
  background-color: #262626;
  transition: overflow 0.5s;
}

a:link, a:visited {
  text-decoration: none;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}
@media only screen and (max-width: 64em) {
  html {
    font-size: 56.25%;
  }
}

.heading__main {
  font-family: "Dancing Script", cursive;
  font-size: 10rem;
  font-weight: 300;
  color: #d3ab55;
  margin-bottom: 4rem;
}
@media only screen and (max-width: 80em) {
  .heading__main {
    font-size: 8rem;
  }
}
@media only screen and (max-width: 48em) {
  .heading__main {
    font-size: 6rem;
    margin-bottom: 2rem;
  }
}

.heading__sub {
  font-family: "Josefin Sans", sans-serif;
  font-size: 6rem;
  font-weight: 300;
  color: #bbb;
  margin-bottom: 8rem;
  text-align: center;
}
@media only screen and (max-width: 80em) {
  .heading__sub {
    font-size: 4rem;
    margin-bottom: 5rem;
  }
}
@media only screen and (max-width: 48em) {
  .heading__sub {
    font-size: 2.5rem;
    margin-bottom: 2rem;
  }
}

.mb-md {
  margin-bottom: 6rem;
}

.mb-lg {
  margin-bottom: 8rem;
}

.mt-md {
  margin-top: 6rem;
}
@media only screen and (max-width: 48em) {
  .mt-md {
    margin-top: 4rem;
  }
}
@media only screen and (max-width: 40em) {
  .mt-md {
    margin-top: 2rem;
  }
}

.mt-lg {
  margin-top: 8rem;
}

.brand-info__heading-main {
  font-family: "Nunito", sans-serif;
  font-size: 5rem;
  color: #bbb;
  font-weight: 300;
  letter-spacing: 0.2rem;
  text-transform: uppercase;
}
@media only screen and (max-width: 48em) {
  .brand-info__heading-main {
    font-size: 3.5rem;
  }
}
@media only screen and (max-width: 40em) {
  .brand-info__heading-main {
    font-size: 2.8rem;
  }
}
.brand-info__heading-sub {
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.8rem;
  color: #bbb;
  text-align: center;
  font-weight: 300;
  letter-spacing: 0.2rem;
  text-transform: uppercase;
}
@media only screen and (max-width: 48em) {
  .brand-info__heading-sub {
    font-size: 1.6rem;
  }
}
@media only screen and (max-width: 40em) {
  .brand-info__heading-sub {
    font-size: 1.2rem;
  }
}

.btn-main {
  width: 17rem;
  height: 4.5rem;
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.4rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: #d3ab55;
  background-color: transparent;
  border: 1px solid #d3ab55;
  outline: none;
  cursor: pointer;
  transition: all 0.4s;
}
.btn-main:hover, .btn-main:active {
  background-color: #d3ab55;
  color: #262626;
}
@media only screen and (max-width: 64em) {
  .btn-main {
    width: 16rem;
    height: 4rem;
    font-size: 1.2rem;
  }
}
@media only screen and (max-width: 48em) {
  .btn-main {
    width: 15rem;
    height: 3.5rem;
    font-size: 1rem;
  }
}

.card__overlay-btn {
  width: 15rem;
  height: 4rem;
  color: #d3ab55;
  background-color: #fff;
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.4rem;
  font-weight: bold;
  letter-spacing: 0.1rem;
  text-transform: uppercase;
  border: 1px solid #d3ab55;
  border-radius: 30px;
  outline: none;
  cursor: pointer;
  transition: all 0.4s;
}
.card__overlay-btn:hover, .card__overlay-btn:active {
  background-color: #d3ab55;
  color: #262626;
}
@media only screen and (max-width: 48em) {
  .card__overlay-btn {
    width: 13rem;
    height: 3.8rem;
    font-size: 1.3rem;
  }
}
@media only screen and (max-width: 40em) {
  .card__overlay-btn {
    width: 11rem;
    height: 3.6rem;
    font-size: 1.1rem;
  }
}

.gallery__card {
  width: 33.3333%;
  height: 30vw;
  overflow: hidden;
  position: relative;
}
@media only screen and (max-width: 48em) {
  .gallery__card {
    width: 50%;
    height: 40vw;
  }
}
.gallery__card-overlay {
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: rgba(211, 171, 85, 0.5);
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 10;
  transition: left 0.7s;
}
.gallery__card:hover .gallery__card-overlay {
  left: 0;
}
.gallery__card-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.4;
}
.gallery .card__overlay-heading {
  font-family: "Nunito", sans-serif;
  font-size: 5rem;
  font-weight: 300;
  letter-spacing: 0.2rem;
  text-transform: capitalize;
}
@media only screen and (max-width: 48em) {
  .gallery .card__overlay-heading {
    font-size: 3.5rem;
  }
}
@media only screen and (max-width: 40em) {
  .gallery .card__overlay-heading {
    font-size: 3rem;
  }
}
.gallery .card__overlay-price {
  font-family: "Josefin Sans", sans-serif;
  font-size: 3rem;
  margin: 0 0 3rem;
  font-weight: 300;
  letter-spacing: 0.2rem;
  text-transform: capitalize;
}
@media only screen and (max-width: 48em) {
  .gallery .card__overlay-price {
    font-size: 2.5rem;
  }
}
@media only screen and (max-width: 40em) {
  .gallery .card__overlay-price {
    font-size: 2rem;
  }
}

.logo {
  font-size: 7rem;
  color: #d3ab55;
  width: 11rem;
  height: 11rem;
  border: 3px solid #d3ab55;
  border-radius: 50%;
  margin-right: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
@media only screen and (max-width: 48em) {
  .logo {
    font-size: 5rem;
    width: 8rem;
    height: 8rem;
    border: 2px solid;
    margin-right: 1.5rem;
  }
}
@media only screen and (max-width: 40em) {
  .logo {
    font-size: 4rem;
    width: 6rem;
    height: 6rem;
    border: 1px solid;
    margin-right: 1rem;
  }
}

.navbar {
  position: relative;
  z-index: 20;
}
.navbar-hamburger-menu {
  width: 4rem;
  height: 4rem;
  position: fixed;
  top: 10%;
  right: 5%;
  z-index: 30;
}
@media only screen and (max-width: 64em) {
  .navbar-hamburger-menu {
    width: 3.5rem;
    height: 3.5rem;
  }
}
@media only screen and (max-width: 48em) {
  .navbar-hamburger-menu {
    width: 3rem;
    height: 3rem;
  }
}
.navbar__menu {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  cursor: pointer;
  transition: transform 0.5s;
}
.navbar__menu-line {
  width: 100%;
  height: 0.4rem;
  background-color: #d3ab55;
  transform-origin: right;
  transition: all 0.5s 0.5s;
}
@media only screen and (max-width: 64em) {
  .navbar__menu-line {
    height: 0.3rem;
  }
}
@media only screen and (max-width: 48em) {
  .navbar__menu-line {
    height: 0.2rem;
  }
}
.navbar-navi {
  display: flex;
}
.navbar-navi-left {
  width: 50vw;
  height: 100vh;
  background-color: #262626;
  position: fixed;
  left: -50vw;
  top: 0;
  transition: left 0.8s cubic-bezier(1, 0, 0, 1);
}
@media only screen and (max-width: 40em) {
  .navbar-navi-left {
    display: none;
  }
}
.navbar-navi-left__img {
  width: 55%;
  position: absolute;
  border-radius: 7px;
  box-shadow: 0 15px 60px rgba(0, 0, 0, 0.4);
  opacity: 0.7;
}
@media only screen and (max-width: 64em) {
  .navbar-navi-left__img {
    width: 50%;
  }
}
.navbar-navi-left__img-1 {
  top: 15%;
  left: 15%;
}
@media only screen and (max-width: 64em) {
  .navbar-navi-left__img-1 {
    top: 25%;
    left: 15%;
  }
}
.navbar-navi-left__img-2 {
  top: 30%;
  left: 30%;
}
@media only screen and (max-width: 64em) {
  .navbar-navi-left__img-2 {
    top: 35%;
    left: 25%;
  }
}
.navbar-navi-left__img-3 {
  top: 45%;
  left: 40%;
}
@media only screen and (max-width: 64em) {
  .navbar-navi-left__img-3 {
    top: 45%;
    left: 35%;
  }
}
.navbar-navi-right {
  width: 50vw;
  height: 100vh;
  background-color: #1f1d1d;
  position: fixed;
  right: -50vw;
  top: 0;
  transition: right 0.8s cubic-bezier(1, 0, 0, 1);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
@media only screen and (max-width: 40em) {
  .navbar-navi-right {
    width: 100vw;
    right: -100vw;
  }
}
.navbar-navi-right__list {
  list-style-type: none;
}
.navbar-navi-right__list-link:link, .navbar-navi-right__list-link:visited {
  color: #bbb;
  font-family: "Dancing Script", cursive;
  font-size: 5rem;
  font-weight: 300;
  letter-spacing: 0.2rem;
  text-transform: capitalize;
  display: block;
  text-align: center;
  margin: 2rem;
  transition: all 0.5s;
}
@media only screen and (max-width: 48em) {
  .navbar-navi-right__list-link:link, .navbar-navi-right__list-link:visited {
    font-size: 4rem;
  }
}
.navbar-navi-right__list-link:hover, .navbar-navi-right__list-link:active {
  color: #d3ab55;
  letter-spacing: 0.4rem;
}

.checkbox:checked ~ .navbar-navi .navbar-navi-left {
  left: 0;
}

.checkbox:checked ~ .navbar-navi .navbar-navi-right {
  right: 0;
}

.checkbox:checked ~ .navbar-hamburger-menu .navbar__menu {
  transform: rotateZ(90deg);
}

.checkbox:checked ~ .navbar-hamburger-menu .navbar__menu-line-1 {
  transform: rotateZ(-40deg);
}

.checkbox:checked ~ .navbar-hamburger-menu .navbar__menu-line-2 {
  opacity: 0;
}

.checkbox:checked ~ .navbar-hamburger-menu .navbar__menu-line-3 {
  transform: rotateZ(40deg);
}

.social-media-list {
  list-style-type: none;
  width: 30rem;
  display: flex;
  justify-content: space-between;
  margin: 0 0 7rem;
}
@media only screen and (max-width: 48em) {
  .social-media-list {
    width: 25rem;
    margin: 0 0 5rem;
  }
}
@media only screen and (max-width: 40em) {
  .social-media-list {
    width: 20rem;
    margin: 0 0 3rem;
  }
}
.social-media-link:link, .social-media-link:visited {
  font-size: 6rem;
  color: #bbb;
  transition: all 0.7s;
}
@media only screen and (max-width: 48em) {
  .social-media-link:link, .social-media-link:visited {
    font-size: 5rem;
  }
}
@media only screen and (max-width: 40em) {
  .social-media-link:link, .social-media-link:visited {
    font-size: 3rem;
  }
}
.social-media-link:hover, .social-media-link:active {
  color: #d3ab55;
}

.about {
  height: 90vh;
  display: flex;
  align-items: center;
  margin: 8rem 0;
}
@media only screen and (max-width: 64em) {
  .about {
    height: 70vh;
    margin: 6rem 0;
  }
}
@media only screen and (max-width: 48em) {
  .about {
    height: 60vh;
    margin: 4rem 0;
  }
}
.about__left {
  width: 40%;
  position: relative;
  left: -20rem;
}
@media only screen and (max-width: 80em) {
  .about__left {
    left: -17rem;
  }
}
@media only screen and (max-width: 64em) {
  .about__left {
    left: -15rem;
  }
}
@media only screen and (max-width: 48em) {
  .about__left {
    display: none;
  }
}
.about__left > img {
  width: 100%;
  opacity: 0.7;
}
.about__right {
  width: 60%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media only screen and (max-width: 48em) {
  .about__right {
    width: 100%;
  }
}
.about__stars {
  margin: 3rem 0;
}
@media only screen and (max-width: 48em) {
  .about__stars {
    margin: 2rem 0;
  }
}
.about__stars-star {
  font-size: 1.5rem;
  color: #d3ab55;
}
.about__stars-star:not(:first-child) {
  margin: 0 0 0 1rem;
}
.about__description {
  font-family: "Josefin Sans", sans-serif;
  font-size: 2.5rem;
  font-style: italic;
  color: #bbb;
  margin: 0 15rem;
}
@media only screen and (max-width: 80em) {
  .about__description {
    font-size: 2rem;
  }
}
@media only screen and (max-width: 64em) {
  .about__description {
    margin: 0 10rem;
  }
}
@media only screen and (max-width: 48em) {
  .about__description {
    font-size: 1.8rem;
  }
}
@media only screen and (max-width: 40em) {
  .about__description {
    margin: 0 5rem;
  }
}
.about__description::first-letter {
  padding: 0 0 0 5rem;
}

.footer {
  margin: 7rem 0;
  padding: 7rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.footer__header {
  display: flex;
  align-items: center;
  margin: 0 0 7rem;
}
.footer__copyright-par {
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.8rem;
  color: #bbb;
  font-weight: 300;
  letter-spacing: 0.2rem;
  text-transform: capitalize;
  text-align: center;
  margin: auto;
}
@media only screen and (max-width: 48em) {
  .footer__copyright-par {
    font-size: 1.6rem;
  }
}
@media only screen and (max-width: 40em) {
  .footer__copyright-par {
    font-size: 1.4rem;
  }
}

.gallery__card-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.header {
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.6)), url(../images/bg.jpeg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
.header__brand {
  display: flex;
  align-items: center;
  position: absolute;
  top: 15%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.header__banner {
  position: absolute;
  top: 55%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

/*# sourceMappingURL=style.css.map */
